PHP Manual
Prev |  | Next

# gettimeofday

(PHP 3 >= 3.0.7, PHP 4, PHP 5)

gettimeofday -- Get current time

## Description

mixed gettimeofday ( [bool return_float] )

This is an interface to gettimeofday(2). It returns an associative array containing the data returned from the system call.

## Parameters

`return_float`

  When set to `TRUE`, a float instead of an array is returned.

## Return Values

By default an array is returned. If `return_float` is set, then a float is returned.

Array keys:

- "sec" - seconds since the Unix Epoch

- "usec" - microseconds

- "minuteswest" - minutes west of Greenwich

- "dsttime" - type of dst correction

## ChangeLog

Version | Description
--- | ---
5.1.0 | The `return_float` parameter was added.

## Examples

Example 1. gettimeofday() example

`<?php print_r(gettimeofday()); echo gettimeofday(true); ?>`

The above example will output something similar to:

    Array
    (
        [sec] => 1073504408
        [usec] => 238215
        [minuteswest] => 0
        [dsttime] => 1
    )

    1073504408.23910

Prev | Home | Next
getdate | Up | gmdate